Subject: [PATCH v9 5/7] ACPI: Translate the I/O range of non-MMIO devices before scanning

From: [email-masked] (Mika Westerberg)
Date: Fri, 16 Jun 2017 15:00:48 +0300

On Fri, Jun 16, 2017 at 01:24:32PM +0200, Rafael J. Wysocki wrote:
> > In fact it may be that it is not sufficient in this case because the
> > ACPI core might enumerate child devices before the LPC driver even gets
> > a chance to probe so you would need to add also scan handler to the
> > child devices and mark them already enumerated or something like that.
> 
> Or extend the special I2C/SPI handling to them.

Sure but those have I2c/SpiSerialBus() resources which we can use to
identify them but for the ipmi thing there is nothing else than _HID so
we would need to keep a list of such devices in ACPI core.